// DirectExample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

// For I/O
#include <stdio.h>

// For getting compile time info about the component
#import "..\..\Component\TextPrinter.dll" no_namespace

int main(int argc, char* argv[])
{
	// Init COM
	CoInitialize(NULL);
	// Enter COM scope
	{
		try
		{
			IDirectTextPrinterPtr printer(_uuidof(DirectTextPrinter));
			printer->PrintDirect("\r\nEverything you print, ");
			printf("Waiting for 2 seconds.\n");
			Sleep(2000);
			printer->PrintDirect("is sent to the printer at once by TextPrinter.");
		}
		catch(_com_error &e)
		{
			printf("%X\n%s\nPress enter\n",e.Error(),(LPCSTR)e.Description());
			getchar();
		}
	}
	// Uninit COM and return
	CoUninitialize();
	return 0;
}
